package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.LandMarkVersion;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.LandMarkVersionMapper")
public interface LandMarkVersionMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(LandMarkVersion record);

    LandMarkVersion selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(LandMarkVersion record);

    List<LandMarkVersion> queryAllLandMarkVersion(LandMarkVersion record);

    List<LandMarkVersion> queryLandMarkVersionByPage(Map<String, Object> parameter);

    int delete(LandMarkVersion record);

    LandMarkVersion queryLandMarkVersion(LandMarkVersion record);

    List<LandMarkVersion> query(LandMarkVersion record);
}

